Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 773076 - sci-libs/cdf-3.8.0 stabilisation (was: 3.8.0.1 version bump, EAPI-7 bump)
Summary: sci-libs/cdf-3.8.0 stabilisation (was: 3.8.0.1 version bump, EAPI-7 bump)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL: https://cdf.gsfc.nasa.gov/html/cdf_ch...
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI5Removal 786708
  Show dependency tree
 
Reported: 2021-02-26 16:07 UTC by Andreas Sturmlechner
Modified: 2021-06-25 09:39 UTC (History)
0 users

See Also:
Package list:
sci-libs/cdf-3.8.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-02-26 16:07:57 UTC
Current latest release packaged in Gentoo is from 2014-03-31.

3.8.0.1 was released on 2020-07-09.
Comment 1 Larry the Git Cow gentoo-dev 2021-05-29 15:52:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a33ab5b83c948af447f85eeb1cd0ac21d517b66d

commit a33ab5b83c948af447f85eeb1cd0ac21d517b66d
Author:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
AuthorDate: 2021-05-29 15:42:42 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2021-05-29 15:52:02 +0000

    sci-libs/cdf: add version 3.8.0
    
    - bumped java version
    - no longer installs into /usr/CDFLeapSeconds.txt
    - no longer calls CC directly
    - restricted bindist
    
    Closes: https://bugs.gentoo.org/786708
    Closes: https://bugs.gentoo.org/773076
    Closes: https://bugs.gentoo.org/633438
    Closes: https://bugs.gentoo.org/544588
    Closes: https://bugs.gentoo.org/544588
    Closes: https://bugs.gentoo.org/731932
    Closes: https://bugs.gentoo.org/695390
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 sci-libs/cdf/Manifest                            |   9 ++
 sci-libs/cdf/cdf-3.5.0.2.ebuild                  |   1 +
 sci-libs/cdf/cdf-3.8.0.ebuild                    | 133 +++++++++++++++++++++++
 sci-libs/cdf/files/cdf-3.8.0-respect-flags.patch |  96 ++++++++++++++++
 4 files changed, 239 insertions(+)
Comment 2 Andreas Sturmlechner gentoo-dev 2021-05-30 18:36:02 UTC
Let's just reuse this then.
Comment 3 Volkmar W. Pogatzki 2021-06-24 07:52:39 UTC
Ping
Comment 4 Andreas Sturmlechner gentoo-dev 2021-06-24 09:15:43 UTC
Let's kick that one off then.
Comment 5 Agostino Sarubbo gentoo-dev 2021-06-25 06:19:04 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2021-06-25 09:39:22 UTC
ppc stable
Comment 7 Agostino Sarubbo gentoo-dev 2021-06-25 09:39:50 UTC
x86 stable. Closing.